import java.awt.Color;
import java.awt.Graphics;
import java.util.Random;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class Malovani extends JFrame {

	private JPanel jContentPane = null;
	private JPanel jPanel = null;
	
	private int prevX = 0;
	private int prevY = 0;
	
	private Random rnd;
	private Color rndColor;
	
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setLayout(null);
			jPanel.setBounds(new java.awt.Rectangle(17,14,598,227));
			jPanel.setBackground(java.awt.Color.white);
			jPanel.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.SystemColor.activeCaption,1));
			jPanel.addMouseListener(new java.awt.event.MouseAdapter() {   
				public void mouseReleased(java.awt.event.MouseEvent e) {    
					System.out.println("mouseReleased()"); // TODO Auto-generated Event stub mouseReleased()
				}
				public void mousePressed(java.awt.event.MouseEvent e) {
					rndColor = new Color(rnd.nextFloat(), rnd.nextFloat(), rnd.nextFloat());
					System.out.println("mousePressed()"); // TODO Auto-generated Event stub mousePressed()
					prevX = e.getX();
					prevY = e.getY();
				}
			});
			jPanel.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
				public void mouseDragged(java.awt.event.MouseEvent e) {
					System.out.println("mouseDragged()"); // TODO Auto-generated Event stub mouseDragged()
			
					Graphics g = jPanel.getGraphics();

					g.setColor(rndColor);
					g.drawLine(prevX, prevY, e.getX(), e.getY());
					
					prevX = e.getX();
					prevY = e.getY();
				}
			});
		}
		return jPanel;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		Malovani app = new Malovani();
		app.setVisible(true);
	}

	/**
	 * This is the default constructor
	 */
	public Malovani() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(638, 286);
		this.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		this.setContentPane(getJContentPane());
		this.setLocationRelativeTo(null);
		this.setTitle("JFrame");
		
		rnd = new Random();
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getJPanel(), null);
		}
		return jContentPane;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
