import java.awt.Color;
import java.util.ArrayList;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.InputEvent;
import java.awt.image.BufferedImage;
import java.awt.image.FilteredImageSource;
import java.awt.image.ImageFilter;
import java.awt.image.ImageProducer;
import java.awt.image.RGBImageFilter;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class Obrazky extends JFrame {

	private JPanel jContentPane = null;
	
	private JPanel jPanel = null;
	
	private boolean muzesKreslit = false;

	public void printBitmap(int x, int y) {
		try {
			File bmpFileName = new File("img.bmp");
			BufferedImage newImage = ImageIO.read(bmpFileName);

			Graphics g = jPanel.getGraphics();
			g.drawImage(Transparency.makeColorTransparent(newImage, Color.WHITE), x-20, y-25,  null);			
		}
		catch (IOException ioException) {
			ioException.printStackTrace();
		}			
	}
	
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setBounds(new java.awt.Rectangle(15,16,610,234));
			jPanel.setBackground(Color.WHITE);
			jPanel.setBorder(javax.swing.BorderFactory.createEtchedBorder(javax.swing.border.EtchedBorder.RAISED));
			jPanel.addMouseListener(new java.awt.event.MouseAdapter() {   
				public void mouseReleased(java.awt.event.MouseEvent e) {    
					System.out.println("mouseReleased()"); // TODO Auto-generated Event stub mouseReleased()
					muzesKreslit = false;
				}   
				public void mousePressed(java.awt.event.MouseEvent e) {    
					System.out.println("mousePressed()"); // TODO Auto-generated Event stub mousePressed()

					if ((e.getModifiers() & InputEvent.BUTTON3_MASK) == InputEvent.BUTTON3_MASK) {
						muzesKreslit = true;
						System.out.println("mousePressed() - right click"); 
					}

					if ((e.getClickCount() == 2) && ((e.getModifiers() & InputEvent.BUTTON1_MASK) == InputEvent.BUTTON1_MASK))
						printBitmap(e.getX(), e.getY());						
				}
			});
			jPanel.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {   
				public void mouseDragged(java.awt.event.MouseEvent e) {    
					System.out.println("mouseDragged()"); // TODO Auto-generated Event stub mouseDragged()
					if (muzesKreslit) 
						printBitmap(e.getX(), e.getY());						
				}
			});
		}
		return jPanel;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		Obrazky app = new Obrazky();
		app.setVisible(true);
	}

	/**
	 * This is the default constructor
	 */
	public Obrazky() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(646, 298);
		this.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		this.setContentPane(getJContentPane());
		this.setTitle("JFrame");
		this.setLocationRelativeTo(null);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getJPanel(), null);
		}
		return jContentPane;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"

class Transparency {
	  public static Image makeColorTransparent
	    (Image im, final Color color) {
	    ImageFilter filter = new RGBImageFilter() {
	      // the color we are looking for... Alpha bits are set to opaque
	      public int markerRGB = color.getRGB() | 0xFF000000;

	      public final int filterRGB(int x, int y, int rgb) {
	        if ( ( rgb | 0xFF000000 ) == markerRGB ) {
	          // Mark the alpha bits as zero - transparent
	          return 0x00FFFFFF & rgb;
	          }
	        else {
	          // nothing to do
	          return rgb;
	          }
	        }
	      }; 

	    ImageProducer ip = new FilteredImageSource(im.getSource(), filter);
	    return Toolkit.getDefaultToolkit().createImage(ip);
	    }
	}
